%define version 0.2.1
%define release 1.beta1
%define name ipasserelle-telephony


Summary: Meta-Package to add Toip services to your iPasserelle
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Obsoletes: smeserver-ejabberd
Provides: smeserver-ejabberd

Requires: ipasserelle-base
Requires: smeserver-freepbx >= 0.1-32
Requires: ipasserelle-portal
Requires: ipasserelle-userpanel
Requires: smeserver-callback


%description
Meta package to configure Toip services
on your iPasserelle.

* Tue Apr 24 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.1
- Auto create callback domain and LL::NG config

* Thu Oct 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.2.0
- initial release


%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%preun

